
module blink
(
  input clk,
  output reg [5:0] leds
);

localparam WAIT_TIME = 13500000;
reg [5:0] leds_value = 0;
reg [23:0] count = 0;

always @(posedge clk) begin
  if (count == WAIT_TIME) begin
    count <= 0;
    leds_value <= leds_value + 1;
  end else begin
    count <= count + 1;
  end
end

assign leds = ~leds_value;

endmodule

